// service
export const SERVICE_NAME = 'logger';

// health
export const GRPC_HEALTH_PACKAGE_NAME = 'health';

// messaging
export const GATEWAY_API_HEALTH_CRIT_MESSAGE_HANDLER =
  'loggingGatewayApiHealthCrit';
export const GATEWAY_API_HEALTH_CRIT_ROUTING_KEY =
  'logging.gateway-api.health.crit';
export const GATEWAY_API_HEALTH_CRIT_QUEUE = 'logging-gateway-api-health-crit';

export const ADMIN_API_HEALTH_CRIT_MESSAGE_HANDLER =
  'loggingAdminApiHealthCrit';
export const ADMIN_API_HEALTH_CRIT_ROUTING_KEY =
  'logging.admin-api.health.crit';
export const ADMIN_API_HEALTH_CRIT_QUEUE = 'logging-admin-api-health-crit';

export const AD_CREATED_INFO_MESSAGE_HANDLER = 'loggingAdCreatedInfo';
export const AD_CREATED_INFO_ROUTING_KEY = 'logging.ad.created.info';
export const AD_CREATED_INFO_QUEUE = 'logging-ad-created-info';

export const AD_CREATED_WARNING_MESSAGE_HANDLER = 'loggingAdCreatedWarning';
export const AD_CREATED_WARNING_ROUTING_KEY = 'logging.ad.created.warning';
export const AD_CREATED_WARNING_QUEUE = 'logging-ad-created-warning';

export const AD_CREATED_CRIT_MESSAGE_HANDLER = 'loggingAdCreatedCrit';
export const AD_CREATED_CRIT_ROUTING_KEY = 'logging.ad.created.crit';
export const AD_CREATED_CRIT_QUEUE = 'logging-ad-created-crit';

export const AD_DELETED_INFO_MESSAGE_HANDLER = 'loggingAdDeletedInfo';
export const AD_DELETED_INFO_ROUTING_KEY = 'logging.ad.deleted.info';
export const AD_DELETED_INFO_QUEUE = 'logging-ad-deleted-info';

export const AD_DELETED_CRIT_MESSAGE_HANDLER = 'loggingAdDeletedCrit';
export const AD_DELETED_CRIT_ROUTING_KEY = 'logging.ad.deleted.crit';
export const AD_DELETED_CRIT_QUEUE = 'logging-ad-deleted-crit';

export const AD_READ_WARNING_MESSAGE_HANDLER = 'loggingAdReadWarning';
export const AD_READ_WARNING_ROUTING_KEY = 'logging.ad.read.warning';
export const AD_READ_WARNING_QUEUE = 'logging-ad-read-warning';

export const AD_UPDATED_INFO_MESSAGE_HANDLER = 'loggingAdUpdatedInfo';
export const AD_UPDATED_INFO_ROUTING_KEY = 'logging.ad.updated.info';
export const AD_UPDATED_INFO_QUEUE = 'logging-ad-updated-info';

export const AD_UPDATED_CRIT_MESSAGE_HANDLER = 'loggingAdUpdatedCrit';
export const AD_UPDATED_CRIT_ROUTING_KEY = 'logging.ad.updated.crit';
export const AD_UPDATED_CRIT_QUEUE = 'logging-ad-updated-crit';

export const AD_HEALTH_CRIT_MESSAGE_HANDLER = 'loggingAdHealthCrit';
export const AD_HEALTH_CRIT_ROUTING_KEY = 'logging.ad.health.crit';
export const AD_HEALTH_CRIT_QUEUE = 'logging-ad-health-crit';

export const AUTH_CREATED_CRIT_MESSAGE_HANDLER = 'loggingAuthCreatedCrit';
export const AUTH_CREATED_CRIT_ROUTING_KEY = 'logging.auth.created.crit';
export const AUTH_CREATED_CRIT_QUEUE = 'logging-auth-created-crit';

export const AUTH_DELETED_CRIT_MESSAGE_HANDLER = 'loggingAuthDeletedCrit';
export const AUTH_DELETED_CRIT_ROUTING_KEY = 'logging.auth.deleted.crit';
export const AUTH_DELETED_CRIT_QUEUE = 'logging-auth-deleted-crit';

export const AUTH_READ_WARNING_MESSAGE_HANDLER = 'loggingAuthReadWarning';
export const AUTH_READ_WARNING_ROUTING_KEY = 'logging.auth.read.warning';
export const AUTH_READ_WARNING_QUEUE = 'logging-auth-read-warning';

export const AUTH_USERNAME_CREATED_WARNING_MESSAGE_HANDLER =
  'loggingAuthUsernameCreatedWarning';
export const AUTH_USERNAME_CREATED_WARNING_ROUTING_KEY =
  'logging.auth.username.created.warning';
export const AUTH_USERNAME_CREATED_WARNING_QUEUE =
  'logging-auth-username-created-warning';

export const AUTH_USERNAME_DELETED_WARNING_MESSAGE_HANDLER =
  'loggingAuthUsernameDeletedWarning';
export const AUTH_USERNAME_DELETED_WARNING_ROUTING_KEY =
  'logging.auth.username.deleted.warning';
export const AUTH_USERNAME_DELETED_WARNING_QUEUE =
  'logging-auth-username-deleted-warning';

export const AUTH_USERNAME_READ_WARNING_MESSAGE_HANDLER =
  'loggingAuthUsernameReadWarning';
export const AUTH_USERNAME_READ_WARNING_ROUTING_KEY =
  'logging.auth.username.read.warning';
export const AUTH_USERNAME_READ_WARNING_QUEUE =
  'logging-auth-username-read-warning';

export const AUTH_PASSWORD_UPDATED_WARNING_MESSAGE_HANDLER =
  'loggingAuthPasswordUpdatedWarning';
export const AUTH_PASSWORD_UPDATED_WARNING_ROUTING_KEY =
  'logging.auth.password.updated.warning';
export const AUTH_PASSWORD_UPDATED_WARNING_QUEUE =
  'logging-auth-password-updated-warning';

export const AUTH_USERNAME_UPDATED_WARNING_MESSAGE_HANDLER =
  'loggingAuthUsernameUpdatedWarning';
export const AUTH_USERNAME_UPDATED_WARNING_ROUTING_KEY =
  'logging.auth.username.updated.warning';
export const AUTH_USERNAME_UPDATED_WARNING_QUEUE =
  'logging-auth-username-updated-warning';

export const AUTH_HEALTH_CRIT_MESSAGE_HANDLER = 'loggingAuthHealthCrit';
export const AUTH_HEALTH_CRIT_ROUTING_KEY = 'logging.auth.health.crit';
export const AUTH_HEALTH_CRIT_QUEUE = 'logging-auth-health-crit';

export const CONFIGURATION_HEALTH_CRIT_MESSAGE_HANDLER =
  'loggingConfigurationHealthCrit';
export const CONFIGURATION_HEALTH_CRIT_ROUTING_KEY =
  'logging.configuration.health.crit';
export const CONFIGURATION_HEALTH_CRIT_QUEUE =
  'logging-configuration-health-crit';

export const LOGGER_HEALTH_CRIT_MESSAGE_HANDLER = 'loggingLoggerHealthCrit';
export const LOGGER_HEALTH_CRIT_ROUTING_KEY = 'logging.logger.health.crit';
export const LOGGER_HEALTH_CRIT_QUEUE = 'logging-logger-health-crit';

export const MATCHER_AD_CRIT_MESSAGE_HANDLER = 'loggingMatcherAdCrit';
export const MATCHER_AD_CRIT_ROUTING_KEY = 'logging.matcher.ad.crit';
export const MATCHER_AD_CRIT_QUEUE = 'logging-matcher-ad-crit';

export const MATCHER_MATCH_CRIT_MESSAGE_HANDLER = 'loggingMatcherMatchCrit';
export const MATCHER_MATCH_CRIT_ROUTING_KEY = 'logging.matcher.match.crit';
export const MATCHER_MATCH_CRIT_QUEUE = 'logging-matcher-match-crit';

export const TERRITORY_CREATED_INFO_MESSAGE_HANDLER =
  'loggingTerritoryCreatedInfo';
export const TERRITORY_CREATED_INFO_ROUTING_KEY =
  'logging.territory.created.info';
export const TERRITORY_CREATED_INFO_QUEUE = 'logging-territory-created-info';

export const TERRITORY_CREATED_WARNING_MESSAGE_HANDLER =
  'loggingTerritoryCreatedWarning';
export const TERRITORY_CREATED_WARNING_ROUTING_KEY =
  'logging.territory.created.warning';
export const TERRITORY_CREATED_WARNING_QUEUE =
  'logging-territory-created-warning';

export const TERRITORY_CREATED_CRIT_MESSAGE_HANDLER =
  'loggingTerritoryCreatedCrit';
export const TERRITORY_CREATED_CRIT_ROUTING_KEY =
  'logging.territory.created.crit';
export const TERRITORY_CREATED_CRIT_QUEUE = 'logging-territory-created-crit';

export const TERRITORY_DELETED_INFO_MESSAGE_HANDLER =
  'loggingTerritoryDeletedInfo';
export const TERRITORY_DELETED_INFO_ROUTING_KEY =
  'logging.territory.deleted.info';
export const TERRITORY_DELETED_INFO_QUEUE = 'logging-territory-deleted-info';

export const TERRITORY_DELETED_CRIT_MESSAGE_HANDLER =
  'loggingTerritoryDeletedCrit';
export const TERRITORY_DELETED_CRIT_ROUTING_KEY =
  'logging.territory.deleted.crit';
export const TERRITORY_DELETED_CRIT_QUEUE = 'logging-territory-deleted-crit';

export const TERRITORY_READ_WARNING_MESSAGE_HANDLER =
  'loggingTerritoryReadWarning';
export const TERRITORY_READ_WARNING_ROUTING_KEY =
  'logging.territory.read.warning';
export const TERRITORY_READ_WARNING_QUEUE = 'logging-territory-read-warning';

export const TERRITORY_UPDATED_INFO_MESSAGE_HANDLER =
  'loggingTerritoryUpdatedInfo';
export const TERRITORY_UPDATED_INFO_ROUTING_KEY =
  'logging.territory.updated.info';
export const TERRITORY_UPDATED_INFO_QUEUE = 'logging-territory-updated-info';

export const TERRITORY_UPDATED_CRIT_MESSAGE_HANDLER =
  'loggingTerritoryUpdatedCrit';
export const TERRITORY_UPDATED_CRIT_ROUTING_KEY =
  'logging.territory.updated.crit';
export const TERRITORY_UPDATED_CRIT_QUEUE = 'logging-territory-updated-crit';

export const TERRITORY_HEALTH_CRIT_MESSAGE_HANDLER =
  'loggingTerritoryHealthCrit';
export const TERRITORY_HEALTH_CRIT_ROUTING_KEY =
  'logging.territory.health.crit';
export const TERRITORY_HEALTH_CRIT_QUEUE = 'logging-territory-health-crit';

export const USER_CREATED_INFO_MESSAGE_HANDLER = 'loggingUserCreatedInfo';
export const USER_CREATED_INFO_ROUTING_KEY = 'logging.user.created.info';
export const USER_CREATED_INFO_QUEUE = 'logging-user-created-info';

export const USER_CREATED_WARNING_MESSAGE_HANDLER = 'loggingUserCreatedWarning';
export const USER_CREATED_WARNING_ROUTING_KEY = 'logging.user.created.warning';
export const USER_CREATED_WARNING_QUEUE = 'logging-user-created-warning';

export const USER_CREATED_CRIT_MESSAGE_HANDLER = 'loggingUserCreatedCrit';
export const USER_CREATED_CRIT_ROUTING_KEY = 'logging.user.created.crit';
export const USER_CREATED_CRIT_QUEUE = 'logging-user-created-crit';

export const USER_DELETED_INFO_MESSAGE_HANDLER = 'loggingUserDeletedInfo';
export const USER_DELETED_INFO_ROUTING_KEY = 'logging.user.deleted.info';
export const USER_DELETED_INFO_QUEUE = 'logging-user-deleted-info';

export const USER_DELETED_CRIT_MESSAGE_HANDLER = 'loggingUserDeletedCrit';
export const USER_DELETED_CRIT_ROUTING_KEY = 'logging.user.deleted.crit';
export const USER_DELETED_CRIT_QUEUE = 'logging-user-deleted-crit';

export const USER_READ_WARNING_MESSAGE_HANDLER = 'loggingUserReadWarning';
export const USER_READ_WARNING_ROUTING_KEY = 'logging.user.read.warning';
export const USER_READ_WARNING_QUEUE = 'logging-user-read-warning';

export const USER_UPDATED_INFO_MESSAGE_HANDLER = 'loggingUserUpdatedInfo';
export const USER_UPDATED_INFO_ROUTING_KEY = 'logging.user.updated.info';
export const USER_UPDATED_INFO_QUEUE = 'logging-user-updated-info';

export const USER_UPDATED_CRIT_MESSAGE_HANDLER = 'loggingUserUpdatedCrit';
export const USER_UPDATED_CRIT_ROUTING_KEY = 'logging.user.updated.crit';
export const USER_UPDATED_CRIT_QUEUE = 'logging-user-updated-crit';

export const USER_HEALTH_CRIT_MESSAGE_HANDLER = 'loggingUserHealthCrit';
export const USER_HEALTH_CRIT_ROUTING_KEY = 'logging.user.health.crit';
export const USER_HEALTH_CRIT_QUEUE = 'logging-user-health-crit';
